Subject: bug#203: MS Windows Frame Maximize in .emacs (again)

From: Lennart Borgman <[email-masked]>
Date: Thu, 09 Jun 2005 02:56:24 +0200

David Abrahams wrote:

>I have nothing to add to
>http://lists.gnu.org/archive/html/emacs-devel/2004-12/msg00364.html
>except that it's happening for me, too.
>
>Ideas, anyone?
>
>  
>

I think the changes below should make maximized frames behave better on 
w32. They try to prevent changing the size of a frame that is maximized.

This change remove the bug that a maximized frame does not fit the whole 
screen. It also removes the bug that a maximezed frame can be moved.

At least for me there seems to be no problem now (with these patches) to 
maximize a frame on startup on w32. (But I do not know if these patches 
actually affected that.)

Could someone please try them and check them in?

Index: w32fns.c
===================================================================
RCS file: /cvsroot/emacs/emacs/src/w32fns.c,v
retrieving revision 1.246
diff -r1.246 w32fns.c
3651,3652c3651,3652
<               lppos->cx -= wdiff;
<               lppos->cy -= hdiff;
---
 >               //lppos->cx -= wdiff;
 >               //lppos->cy -= hdiff;
3656a3657,3658
 >                   lppos->cx -= wdiff;
 >                   lppos->cy -= hdiff;

C:\emacscvs\emacs\src>cvs diff w32term.c
Index: w32term.c
===================================================================
RCS file: /cvsroot/emacs/emacs/src/w32term.c,v
retrieving revision 1.224
diff -r1.224 w32term.c
3837a3838
 >         if (!IsZoomed(hwnd)){
3840a3842
 >         }

_______________________________________________
Emacs-devel mailing list
[email-masked]
http://lists.gnu.org/mailman/listinfo/emacs-devel